### Method

# Secret Service unlock_finish

#### Declaration [src]

    gint
    secret_service_unlock_finish (
      SecretService* service,
      GAsyncResult* result,
      GList** unlocked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to unlock items or collections in the secret service.

The secret service may not be able to unlock items individually, and may unlock an entire collection instead.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`unlocked` | A list of `GDBusProxy*`
| location to place list of items or collections that were unlocked.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gint`
| The number of items or collections that were unlocked.